
package de.ivu.elect.presentation.protokollierung.action;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.action.AbstractBaseActionEntry;
import de.ivu.elect.jee.presentation.action.ProtokollActionFactory;

@Specializes
public class ElectProtokollActionFactory extends ProtokollActionFactory {

  @Inject
  private transient ProtokollAnzeigenActionEntry protokollAnzeigenActionEntry;

  public ElectProtokollActionFactory() {
    super();
  }

  @Override
  public AbstractBaseActionEntry getProtokollAction() {
    return protokollAnzeigenActionEntry;
  }
}
